Error usando "Visitor Maps y Who's Online"

Inicio Foros WordPress Plugins Error usando "Visitor Maps y Who's Online"

Este debate contiene 12 respuestas, tiene 2 mensajes y lo actualizó  ejortol hace 6 años.

  • Autor
    Publicaciones
  • #67074

    ejortol
    Participante

    Pues el error se produce al desplazarse los puntos de localización unos 10 píxeles aproximadamente más abajo de su posición correcta en el mapa. Creo que con un ejemplo se entiende mejor.

    Mapa con error: http://puntodex.com/?page_id=69

    Mapa correcto: http://puntodex.com/?wo_map_console=1

    He seguido instrucciones de la web del plugin, pero no he logrado resolver el problema.

    Tal vez aquí pueda alguien ayudar?

    Gracias.

  • #67078

    LGrusin
    Miembro

    No observo ninguna diferencia en la posición de los puntos.

    ¿Has probado con varios navegadores?

    Un saludo

  • #67080

    ejortol
    Participante

    Hola, gracias por responder. No ves la diferencia porque conseguí “arreglarlo” insertando el mapa con un iframe. Aunque no arreglé el problema, sí usé otra forma de colocarlo.

    He subido de nuevo el mapa con error para que lo puedas ver:

    http://puntodex.com/?page_id=554

    Sin error en:

    http://puntodex.com/?page_id=69

    Creo que la solución estaría editando alguna parte del “visitor maps”. Pero no tengo ni idea …

    Un saludo.

    Por cierto, sí probé con varios navegadores. Obteniendo el mismo resultado.

  • #67086

    LGrusin
    Miembro

    OK, el único problema que le veo es la tabla. Los espacios, alto y márgenes de las celdas. Eso es lo que puede que te esté haciendo que bajen los puntos.

    Ponle estilos propios a esa tabla con márgenes, bordes, espaciado, etc a cero.

    Saludos

  • #67087

    ejortol
    Participante

    Creo que entiendo más o menos lo que me explicas. Pero la tabla se forma sóla. Yo lo que hago es añadir un shortcode a la página. En este caso añado: [visitor-maps]

    Luego el plugin hace el resto. Puede que tenga que editar algo en el plugin?

    Un saludo.

  • #67099

    LGrusin
    Miembro

    Mira qué clase crea el plugin, creo que se llama class=”wo_map”. Debes añadir en tu style.css las propiedades y valores correctos para esa tabla en concreto.

    Otra opción, si no usas más tablas en tu theme, sería modificar los valores que vienen para las tablas en tu theme. Por de pronto tienes para todas las tablas:
    Creo recordar .entry-content table {
    line-height:2;
    }
    Hay que ponerlo a 0 (cero)

    y no recuerdo ahora si hay alguno más… , tendría que mirar…

    EDITO: Así de memoria, ( sin haberlo comprobado antes ) prueba añadir al style.css lo siguiente:
    .entry-content table .wo_map {
    line-height:0;
    }
    Un saludo

  • #67107

    ejortol
    Participante

    Hola LGrusin, gracias por responder.

    Efectivamente, la clase se llama “wo_map”. Pero ya en la página donde se da el error la tabla es así:

    <table class=”wo_map” border=”0″ cellpadding=”0″ cellspacing=”0″>

    He visto en los foros de la web del plugin que hay más usuarios afectados por el mismo problema. Dicen que probablemente se corrija con la versión 3.5 de wordpress …

    Como de momento he conseguido que se visualice bien con el iframe de esta forma:

    [iframe src=”http://puntodex.com?do_wo_map=1&time=30&units=days&map=4&pin=1&pins=on&text=on&textcolor=000000&textshadow=FFFFFF&textalign=cb&ul_lat=0&ul_lon=0&lr_lat=360&lr_lon=180&offset_x=0&offset_y=0&wp-minify-off=1&type=png ” width=”864″ height=”432″]

    Voy a seguir subiendo gráficos a la web mientras espero a que salga la versión 3.5 de wordpress y ver si efectivamente se arregla …

    La verdad es que me gusta ver el mapa cada día con alguien más que ha entrado … ojalá que vaya todo esto a mejor.

    si no se arregla el problema con la versión 3.5 no intentaré editar el style.css del tema.

    Muchas gracias por tu tiempo y tu ayuda.

    Un saludo.

  • #67108

    LGrusin
    Miembro

    Me temo que no tiene nada que ver con WordPress, más bien es un problema del theme. Saldrías de dudas si probaras con otros themes.

    Fíjate lo que dice en las FAQ del plugin,
    P – Why are all the location pins about 10 pixels too low on the visitor map?
    R – Some themes interfere with the proper display of the location pins on the Visitor Maps page. Uncheck the setting “Enable hover labels for location pins on visitor map page.”

    Pues eso, desactiva “Enable hover labels for location pins on visitor map page.”

    Un saludo

  • #67110

    ejortol
    Participante

    Lo primero que hice fue consultar las FAQ del plugin, y desactivé “Enable hover labels for location pins on visitor map page”, pero seguía igual …

    He probado con los themes Twenty Twelve, Twenty Eleven y Twenty Ten, con el mismo resultado … Son los que vienen por defecto con la versión 3.4.2 de wordpress.

    El plugin tiene varios archivos editables en donde también puede estar la clave. Creo que lo mejor será esperar una actualización del plugin.

    Un saludo.

  • #67120

    LGrusin
    Miembro

    OK, espera la actualización…

    Saludos

  • #67122

    ejortol
    Participante

    Bueno, no me rindo. Sólo espero a estar un poco más desahogado con la actualización de la web, mientras puede salir la solución por otro lado. Tarde o temprano volveré con el asunto y haré pruebas con los archivos del theme y del plugin.

    Te agradezco mucho todo el trabajo que te has tomado. En cuanto encuentre la solución lo postearé.

    Un cordial saludo.

  • #67125

    LGrusin
    Miembro

    De nada, lo que sigo sin saber es si probaste añadir lo que te dije en el style.css

    .entry-content table .wo_map {
    line-height:0;
    }

  • #67126

    ejortol
    Participante

    Pues sinceramente, no lo había probado. Pero acabo de hacerlo. He añadido

    .entry-content table .wo_map {
    line-height:0;
    }

    a la hoja de estilos Twenty Twelve: Hoja de estilo (style.css) pero sigue dando el mismo error … lo añadí al final de la hoja de estilos, ¿había que ponerlo en algún sitio predeterminado?

    Un saludo.

El foro ‘Plugins’ está cerrado y no se permiten nuevos debates ni respuestas.

Pin It on Pinterest

Ir al contenido